Skip to main content
GET
/
trails
/
{org}
List trails for organization
curl --request GET \
  --url https://app.kosli.com/api/v2/trails/{org} \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "name": "<string>",
      "last_modified_at": 123,
      "created_at": 123,
      "compliance_status": {
        "status": "INCOMPLETE",
        "is_compliant": true,
        "attestations_statuses": [
          {
            "attestation_name": "<string>",
            "attestation_type": "<string>",
            "attestation_id": "<string>",
            "overridden_attestation_id": "<string>",
            "status": "MISSING",
            "is_compliant": true,
            "unexpected": false
          }
        ],
        "artifacts_statuses": {},
        "evaluated_at": 123,
        "flow_template_id": "<string>"
      },
      "template": {
        "trail": {
          "attestations": [
            {
              "name": "<string>",
              "type": "<string>"
            }
          ],
          "artifacts": [
            {
              "name": "<string>",
              "attestations": [
                {
                  "name": "<string>",
                  "type": "<string>"
                }
              ]
            }
          ]
        },
        "version": 1,
        "content": "<string>"
      },
      "compliance_state": "INCOMPLETE",
      "is_compliant": true,
      "created_by": "<string>",
      "flow": {
        "name": "<string>",
        "tags": {}
      },
      "html_url": "<string>",
      "description": "<string>",
      "git_commit_info": {
        "sha1": "<string>",
        "message": "<string>",
        "author": "<string>",
        "branch": "<string>",
        "timestamp": 123
      },
      "origin_url": "<string>",
      "user_data": {},
      "repo_ids": [
        "<string>"
      ],
      "events": [
        {}
      ],
      "external_urls": {}
    }
  ],
  "pagination": {
    "total": 123,
    "page": 123,
    "per_page": 123,
    "page_count": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required

Query Parameters

flow
string | null

The name of the flow to filter trails by

flow_tag
string | null

Filter trails by flows that have this tag (format: key=value, e.g., team=backend)

fingerprint
string | null

The fingerprint of the artifact reported to the trail or trails

page
integer | null
default:1

The page number of response

per_page
integer | null
default:20

How many results to return per page of response

Response

200 - application/json

Successful Response

Response model for listing Trails with pagination.

When pagination is not requested, returns a list of trails directly. When pagination is requested, returns data with optional pagination info.

data
ListTrailItem · object[]
required

List of trails

pagination
ListTrailsPagination · object

Pagination info (only present when there are multiple pages)

Last modified on April 9, 2026